# SourcePath: glib/20191231dev
Summary: A library of handy utility functions.
Name: sony-target-dev-glib
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-glib
Version: 2.50.3
Release: 12000004
URL: http://www.gtk.org/
Source: glib-%{version}.tar.xz
Source1:README-License.txt
Patch0: glib-license-fix.patch
Patch1: glib-2.50.3-CVE-2018-16428.patch
Patch2: glib-2.50.3-CVE-2018-16429.patch
Patch3: glib-2.50.3-CVE-2019-12450.patch
Patch4: glib-2.50.3-CVE-2019-13012-1.patch
Patch5: glib-2.50.3-CVE-2019-13012-2.patch
Patch6: glib-2.50.3-CVE-2019-13012-regression.patch
License: GPL2
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-gettext
Requires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-gettext


%description
GLib is a handy library of utility functions. This C library is
designed to solve some portability problems and provide other useful
functionality which most programs require.

GLib is used by GDK, GTK+ and many applications.  You should install
th glib package because many of your applications will depend on this
library.

%package -n %{pkgname}
Summary: A library of handy utility functions.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
GLib is a handy library of utility functions. This C library is
designed to solve some portability problems and provide other useful
functionality which most programs require.

GLib is used by GDK, GTK+ and many applications.  You should install
th glib package because many of your applications will depend on this
library.

%prep
%setup -q -n glib-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%sony_target_dev_setup
export glib_cv_stack_grows=no
export glib_cv_uscore=no
export ac_cv_func_posix_getpwuid_r=yes
export ac_cv_func_posix_getgrgid_r=yes

%sony_target_dev_configure PYTHON=python2.7
make | tee -a build.log

%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/gtk-doc
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/aclocal
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/locale

%demangle_libtool

# 6.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done


%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)

%{sony_target_dir}%{sony_target_dev_bin_dir}/gdbus
%{sony_target_dir}%{sony_target_dev_bin_dir}/gdbus-codegen
%{sony_target_dir}%{sony_target_dev_bin_dir}/gio-querymodules
%{sony_target_dir}%{sony_target_dev_bin_dir}/glib-compile-resources
%{sony_target_dir}%{sony_target_dev_bin_dir}/glib-compile-schemas
%{sony_target_dir}%{sony_target_dev_bin_dir}/glib-genmarshal
%{sony_target_dir}%{sony_target_dev_bin_dir}/glib-gettextize
%{sony_target_dir}%{sony_target_dev_bin_dir}/glib-mkenums
%{sony_target_dir}%{sony_target_dev_bin_dir}/gobject-query
%{sony_target_dir}%{sony_target_dev_bin_dir}/gresource
%{sony_target_dir}%{sony_target_dev_bin_dir}/gsettings
%{sony_target_dir}%{sony_target_dev_bin_dir}/gtester
%{sony_target_dir}%{sony_target_dev_bin_dir}/gtester-report
%{sony_target_dir}%{sony_target_dev_bin_dir}/gapplication
%{sony_target_dir}%{sony_target_dev_bin_dir}/gio

%{sony_target_dir}%{sony_target_dev_include_dir}/gio-unix-2.0
%{sony_target_dir}%{sony_target_dev_include_dir}/glib-2.0

%{sony_target_dir}%{sony_target_dev_lib_dir}/glib-2.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgio-2.0.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgio-2.0.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgio-2.0.so.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgio-2.0.so.0.5000.3
%{sony_target_dir}%{sony_target_dev_lib_dir}/libglib-2.0.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/libglib-2.0.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libglib-2.0.so.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libglib-2.0.so.0.5000.3
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgmodule-2.0.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgmodule-2.0.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgmodule-2.0.so.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgmodule-2.0.so.0.5000.3
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgobject-2.0.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgobject-2.0.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgobject-2.0.so.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgobject-2.0.so.0.5000.3
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgthread-2.0.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgthread-2.0.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgthread-2.0.so.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgthread-2.0.so.0.5000.3
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gio-2.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gio-unix-2.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/glib-2.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gmodule-2.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gmodule-export-2.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gmodule-no-export-2.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gobject-2.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gthread-2.0.pc

#%{sony_target_dir}%{sony_target_dev_prefix}/etc/bash_completion.d/*
%{sony_target_dir}%{sony_target_dev_data_dir}/gdb/auto-load/*
%{sony_target_dir}%{sony_target_dev_data_dir}/bash-completion/*
%{sony_target_dir}%{sony_target_dev_data_dir}/glib-2.0/*
%{sony_target_dir}%{sony_target_dev_data_dir}/gettext/*
#%{sony_target_dir}%{sony_target_dev_lib_dir}/gdbus-2.0/codegen/*

%changelog
* Mon Nov 30 2020 Sony Corporation
- Added CVE-fix for CVE-2018-16428, CVE-2018-16429 and
  CVE-2019-13012.

* Tue Nov 26 2019 Sony Corporation
- Added security fix for CVE-2019-12450

* Fri Dec 15 2017 Sony Corporation
- updated 2.44.1 -> 2.50.3

* Wed Jan 18 2017 Sony Corporation
- updated 2.40.2 -> 2.44.1

* Mon Sep 21 2015 Sony Corporation
- Version updated to 2.40.2

* Mon Apr 08 2013 Sony Corporation
- updated to support Python 2.7.3

* Tue Apr 02 2013 Sony Corporation
- Version updated to 2.34.3

* Thu Oct 10 2010 Sony Corporation
- glib-2.24.2 version up

* Mon Apr 05 2010 Sony Corporation
- glib-2.22.5 version up

* Wed Aug 13 2008 Sony Corporation
-  Fix License 

* Tue Jun 17 2008 Sony Corporation
- Initial build
